CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

所有者 ID 属性 (ActiveX)

2023-1-3 09:22| 发布者: admin| 查看: 404| 评论: 0|来自: AutoCAD

摘要: 获取所有者(父)对象的对象 ID。

获取所有者(父)对象的对象 ID。

支持的平台:仅窗口

签名

工 务 局:

object.OwnerID 
对象

类型:所有图形对象属性参考,块,字典字典尺寸,暗淡样式,暗淡样式,组,,图层,图层布局布局线型线型,材料,材料MLeader样式模型空间图纸空间,打印配置,打印配置,注册应用程序,注册应用程序,分区管理器分区设置排序表,表格样式,文本样式文本样式,UCS,UCS,视图,视图视口视口X生态

此属性适用的对象。

属性值

只读:是的

类型:Long_PTR

对象所有者的对象 ID。

言论

没有额外的评论。

例子

工 务 局:

Sub Example_OwnerID()
    ' This example creates an MText object in model space
    ' and then finds the OwnerID for the object.
    
    Dim MTextObj As AcadMText
    Dim corner(0 To 2) As Double
    Dim width As Double
    Dim text As String
    corner(0) = 0#: corner(1) = 10#: corner(2) = 0#
    width = 10
    text = "This is the text string for the MText object"

    ' Creates the MText object
    Set MTextObj = ThisDrawing.ModelSpace.AddMText(corner, width, text)
    ZoomAll
    
    MsgBox "The OwnerID for the MText object is: " & MTextObj.OwnerID
    
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_OwnerID()
    ;; This example creates an MText object in model space
    ;; and then finds the OwnerID for the object.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))

    (setq corner (vlax-3d-point 0 10 0)
          width 10
          text "This is the text string for the MText object")

    ;; Creates the MText object
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq MTextObj (vla-AddMText modelSpace corner width text))
    (vla-ZoomAll acadObj)
    
    (alert (strcat "The OwnerID for the MText object is: " (itoa (vla-get-OwnerID MTextObj))))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-19 13:16

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部